Bug 197229 - Broken upgrade path to -devel/FC6 for assorted -java packages
Summary: Broken upgrade path to -devel/FC6 for assorted -java packages
Status: CLOSED RAWHIDE
Alias: None
Product: Fedora
Classification: Fedora
Component: cairo-java (Show other bugs)
(Show other bugs)
Version: rawhide
Hardware: All Linux
medium
medium
Target Milestone: ---
Assignee: Stepan Kasal
QA Contact:
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2006-06-29 14:01 UTC by Jarod Wilson
Modified: 2013-01-10 03:58 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-08-23 13:41:44 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Jarod Wilson 2006-06-29 14:01:28 UTC
Description of problem:
Several -java package in the devel tree are rpm-older than the ones in the FC5
tree, which causes problems when folks try to upgrade.

cairo-java:
  5: 0:1.0.4-0.FC5 (FC5-updates)
  6: 0:1.0.4-0 (FC6)

glib-java:
  5: 0:0.2.5-0.FC5 (FC5-updates)
  6: 0:0.2.5-0 (FC6)

libglade-java:
  5: 0:2.12.4-0.FC5 (FC5-updates)
  6: 0:2.12.4-0 (FC6)

libgnome-java:
  5: 0:2.12.3-0.FC5 (FC5-updates)
  6: 0:2.12.3-0 (FC6)

libgtk-java:
  5: 0:2.8.5-0.FC5 (FC5-updates)
  6: 0:2.8.5-0 (FC6)

libvte-java:
  5: 0:0.12.0-0.FC5 (FC5-updates)
  6: 0:0.12.0-0 (FC6)

Recommended fix is to follow Fedora Extras packaging standards and make use of
the recently added %dist tag support in brew. Example:

RCS file: /cvs/dist/rpms/cairo-java/devel/cairo-java.spec,v
retrieving revision 1.32
diff -r1.32 cairo-java.spec
18c18
< Release:      0
---
> Release:      0%{?dist}

Thus the next build for the devel tree would end up 0:1.0.4-0.fc6, which is
sufficiently rpm-newer to fix the upgrade path.

Comment 1 Stepan Kasal 2006-08-02 11:46:16 UTC
Though I do not feel comfortable about %{?dist}, I'm not able to find a better
workaround in the context of current rpm and package management tools.

I will switch to %{?dist} as soon as FC6 T2 is finished.

Comment 2 Stepan Kasal 2006-08-23 13:41:44 UTC
Done.


Note You need to log in before you can comment on or make changes to this bug.